Main Page Modules Compound List File List Compound Members File Members Related Pages

# tds_column_info Struct Reference

Metadata about columns in regular and compute rows. More...

`#include <tds.h>`

List of all members.

## Public Attributes
TDS_SMALLINT | column_type
| type of data, saved from wire
TDS_INT | column_usertype
TDS_INT | column_flags
TDS_INT | column_size
| maximun size of data
TDS_TINYINT | column_varint_size
| size of length when reading from wire (0, 1, 2 or 4)
TDS_TINYINT | column_prec
| precision for decimal/numeric
TDS_TINYINT | column_scale
| scale for decimal/numeric
TDS_TINYINT | column_namelen
| length of column name
TDS_TINYINT | table_namelen
struct {
TDS_SMALLINT column_type
TDS_INT column_size
} | on_server
const TDSICONVINFO * | iconv_info
| refers to previously allocated iconv information
TDS_CHAR | table_name [TDS_SYSNAME_SIZE]
TDS_CHAR | column_name [TDS_SYSNAME_SIZE]
TDS_INT | column_offset
| offset into row buffer for store data
unsigned int | column_nullable:1
unsigned int | column_writeable:1
unsigned int | column_identity:1
unsigned int | column_key:1
unsigned int | column_hidden:1
unsigned int | column_output:1
TDS_UCHAR | column_collation [5]
TDS_TINYINT | column_operator
TDS_SMALLINT | column_operand
TDS_INT | column_cur_size
| size written in variable (ie: char, text, binary)
TDS_SMALLINT | column_bindtype
TDS_SMALLINT | column_bindfmt
TDS_UINT | column_bindlen
TDS_CHAR * | column_nullbind
TDS_CHAR * | column_varaddr
TDS_CHAR * | column_lenbind
TDS_INT | column_textpos
TDS_INT | column_text_sqlgetdatapos

## Detailed Description

Metadata about columns in regular and compute rows.

## Member Data Documentation

TDS_INT tds_column_info::column_size

| maximun size of data For fixed is the size.

TDS_SMALLINT tds_column_info::column_type

| type of data, saved from wire UCS-2->Ascii) can be applied. I'm beginning to wonder about the wisdom of this, however. April 2003 jkl

The documentation for this struct was generated from the following file:

- tds.h